Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
agora::agora_refptr< T > Class Template Reference

`#include <AgoraRefPtr.h>`

## Public Member Functions
| agora_refptr ()
| agora_refptr (T *p)
template<typename U>
| agora_refptr (U *p)
| agora_refptr (const agora_refptr< T > &r)
template<typename U>
| agora_refptr (const agora_refptr< U > &r)
| agora_refptr (agora_refptr< T > &&r)
template<typename U>
| agora_refptr (agora_refptr< U > &&r)
| ~agora_refptr ()
T * | get () const
| operator bool () const
T * | operator-> () const
T & | operator* () const
T * | move ()
agora_refptr< T > & | operator= (T *p)
agora_refptr< T > & | operator= (const agora_refptr< T > &r)
agora_refptr< T > & | operator= (agora_refptr< T > &&r)
template<typename U>
agora_refptr< T > & | operator= (agora_refptr< U > &&r)
bool | operator== (const agora_refptr< T > &r) const
bool | operator< (const agora_refptr< T > &r) const
void | swap (T **pp)
void | swap (agora_refptr< T > &r)
void | reset ()

## Protected Attributes
T * | ptr_

## Constructor & Destructor Documentation

## ◆ agora_refptr() [1/7]

template<class T>

agora::agora_refptr< T >::agora_refptr | ( |  | ) |
| inline

## ◆ agora_refptr() [2/7]

template<class T>

agora::agora_refptr< T >::agora_refptr | ( | T * | p | ) |
| inline

## ◆ agora_refptr() [3/7]

template<class T>
template<typename U>

agora::agora_refptr< T >::agora_refptr | ( | U * | p | ) |
| inline

## ◆ agora_refptr() [4/7]

template<class T>

agora::agora_refptr< T >::agora_refptr | ( | const agora_refptr< T > & | r | ) |
| inline

## ◆ agora_refptr() [5/7]

template<class T>
template<typename U>

agora::agora_refptr< T >::agora_refptr | ( | const agora_refptr< U > & | r | ) |
| inline

## ◆ agora_refptr() [6/7]

template<class T>

agora::agora_refptr< T >::agora_refptr | ( | agora_refptr< T > && | r | ) |
| inline

## ◆ agora_refptr() [7/7]

template<class T>
template<typename U>

agora::agora_refptr< T >::agora_refptr | ( | agora_refptr< U > && | r | ) |
| inline

## ◆ ~agora_refptr()

template<class T>

agora::agora_refptr< T >::~agora_refptr | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get()

template<class T>

T * agora::agora_refptr< T >::get | ( |  | ) | const
| inline

## ◆ operator bool()

template<class T>

agora::agora_refptr< T >::operator bool | ( |  | ) | const
| inline

## ◆ operator->()

template<class T>

T * agora::agora_refptr< T >::operator-> | ( |  | ) | const
| inline

## ◆ operator*()

template<class T>

T & agora::agora_refptr< T >::operator* | ( |  | ) | const
| inline

## ◆ move()

template<class T>

T * agora::agora_refptr< T >::move | ( |  | ) |
| inline

## ◆ operator=() [1/4]

template<class T>

agora_refptr< T > & agora::agora_refptr< T >::operator= | ( | T * | p | ) |
| inline

## ◆ operator=() [2/4]

template<class T>

agora_refptr< T > & agora::agora_refptr< T >::operator= | ( | const agora_refptr< T > & | r | ) |
| inline

## ◆ operator=() [3/4]

template<class T>

agora_refptr< T > & agora::agora_refptr< T >::operator= | ( | agora_refptr< T > && | r | ) |
| inline

## ◆ operator=() [4/4]

template<class T>
template<typename U>

agora_refptr< T > & agora::agora_refptr< T >::operator= | ( | agora_refptr< U > && | r | ) |
| inline

## ◆ operator==()

template<class T>

bool agora::agora_refptr< T >::operator== | ( | const agora_refptr< T > & | r | ) | const
| inline

## ◆ operator<()

template<class T>

bool agora::agora_refptr< T >::operator< | ( | const agora_refptr< T > & | r | ) | const
| inline

## ◆ swap() [1/2]

template<class T>

void agora::agora_refptr< T >::swap | ( | T ** | pp | ) |
| inline

## ◆ swap() [2/2]

template<class T>

void agora::agora_refptr< T >::swap | ( | agora_refptr< T > & | r | ) |
| inline

## ◆ reset()

template<class T>

void agora::agora_refptr< T >::reset | ( |  | ) |
| inline

## Member Data Documentation

## ◆ ptr_

template<class T>

T* agora::agora_refptr< T >::ptr_
| protected